For the complete documentation index, see llms.txt. This page is also available as Markdown.

/api/v1/selphid/custom-event/authentication

Sends a custom external authentication event to the Api Tracking platform.

post
Autorizações
AuthorizationstringObrigatório
Bearer authentication header of the form Bearer <token>.
Corpo

Data to register an external authentication event in the Api Tracking platform. It also supports image buffers.

authStatusstring · enumObrigatório

Possible results of an authentication operation.

Example: PositiveValores possíveis:
similaritynumberObrigatório

Similarity between two facial templates (0-None, 1-Identical).

Example: 0.994729161
eventSourcestringOpcional

The source of an event in the Api Tracking service.

Example: event.source.externalTool
image1stringOpcional

Raw image buffer in .png, .jpg or .bmp format, base64-encoded.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
image2stringOpcional

Raw image buffer in .png, .jpg or .bmp format, base64-encoded.

Example: /9j/4AAQSkZJRgABAQEAtAC0AAD...
extraDatastringObrigatório

Tokenized data used to call the Api Tracking service after the operation, base64-encoded.

Example: BQABAQGkJhiCqQjKYUZyDM...
Respostas
200

Result of the event tracking.

application/json

The result of an Api Tracking operation.

trackingStatusnumberOpcional

Status returned by the Api Tracking service, or -1 if tracking is not required.

Example: 201
trackingMessagestringOpcional

Message returned by the Api Tracking service, or empty if tracking is not required.

Example: EvaluatePassiveLivenesWithImageBuffer: Ok
post/api/v1/selphid/custom-event/authentication
POST /api/v1/selphid/custom-event/authentication HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 216

{
  "authStatus": "Positive",
  "similarity": 0.994729161,
  "eventSource": "event.source.externalTool",
  "image1": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
  "image2": "/9j/4AAQSkZJRgABAQEAtAC0AAD...",
  "extraData": "BQABAQGkJhiCqQjKYUZyDM..."
}
{
  "trackingStatus": 201,
  "trackingMessage": "EvaluatePassiveLivenesWithImageBuffer: Ok"
}

Atualizado